Summary: 3ware® Disk Manager
Name: 3dm2
Version: 2.04.00.035
%define pkgversion 9.4.0.1
Release: 8%{?dist}
License: 3ware
Group: System Environment/Base
URL: http://www.3ware.com/
Source0: http://www.3ware.com/download/Escalade9550SX-Series/%{pkgversion}/3DM2-Linux-%{pkgversion}.tgz
Source1: 3dm2.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
3ware Disk Manager 2 (3DM 2) allows you to manage and view the status
of 3ware RAID controllers and associated drives. 3DM runs as a service
under Microsoft Windows, and as a daemon under Linux. When it is
running, you can use your browser to view status and perform
administrative tasks locally or remotely.

3DM can display information about 3ware RAID 7000-, 8000- and
9000-series RAID controllers. However, some version 2 features are
only available for 9000-series controllers.

Two levels of access are provided: user and administrator. Users have
view-only access, and can check the status of drives and
units. Administrators can view and make changes, using 3DM to
configure RAID units and designate hot spares, and to perform
maintenance tasks on RAID units.

%prep
%setup -q -c
tar -zpxf 3dm-lnx.tgz

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initdir}
mkdir -p %{buildroot}%{_sysconfdir}/3dm2/msg
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}

%ifarch %ix86
install -p -m 0755 3dm2.x86 %{buildroot}%{_sbindir}/3dm2
%else
install -p -m 0755 3dm2.x86_64 %{buildroot}%{_sbindir}/3dm2
%endif

install -p -m 0755 3dm2.redhat %{buildroot}%{_initdir}/3dm2
tar zxf 3dm-msg.tgz -C %{buildroot}%{_sysconfdir}/3dm2/msg/
tar zxf 3dm-help.tgz -C %{buildroot}%{_docdir}/%{name}-%{version}/
install -p -m 0644 license.txt %{buildroot}%{_docdir}/%{name}-%{version}/

sed -e's,@HELP@,%{_docdir}/%{name}-%{version},' \
    -e's,@MSG@,%{_sysconfdir}/3dm2/msg,' \
    < %{SOURCE1} > %{buildroot}%{_sysconfdir}/3dm2/3dm2.conf
chmod 0600 %{buildroot}%{_sysconfdir}/3dm2/3dm2.conf

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add 3dm2

%preun
if [ $1 = 0 ]; then
        /sbin/service 3dm2 stop > /dev/null 2>&1
        /sbin/chkconfig --del 3dm2
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%{_sbindir}/3dm2
%{_initdir}/3dm2
%dir %{_sysconfdir}/3dm2
%{_sysconfdir}/3dm2/msg
%config(noreplace) %{_sysconfdir}/3dm2/3dm2.conf

%changelog
* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.04.00.035-8
- Update to 9.4.0.1/2.04.00.035.

* Thu Feb  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

